Bug 60382 - EDITING and TABLE: No changes tracked when deleting table rows and tables
Summary: EDITING and TABLE: No changes tracked when deleting table rows and tables
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
: 135256 (view as bug list)
Depends on:
Blocks: Cell-Add-Delete Track-Changes-Table
  Show dependency treegraph
 
Reported: 2013-02-06 18:55 UTC by Nitin
Modified: 2021-06-23 10:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nitin 2013-02-06 18:55:56 UTC
If Edit > Changes > Record is checked, deleting a row does not get record. It should be recorded and listing as Accept/Reject change.
Comment 1 Jorendc 2013-02-06 19:55:21 UTC
Thanks for reporting!
I can confirm this behavior.

Therefore I set bug status to NEW and I mark this bug, following [1], as 'minor medium'. I tested this using Linux Mint 14 x64, LibreOffice 4.0.0.3 rc3. Because the 'version number' isn't set, I set this to LibreOffice 4.0.0.3 rc3 for now (but I think this is inherit from AOO).

Kind regards,
Joren

[1] https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 2 A (Andy) 2015-02-08 13:42:10 UTC
Reproducible with LO 4.4.0.3, Win 8.1
Comment 3 QA Administrators 2016-02-21 08:36:06 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-03-06 15:25:10 UTC Comment hidden (obsolete)
Comment 5 Aron Budea 2020-04-23 03:06:31 UTC
Still in LO 7.0.0.0.alpha0+ (850b8de31c5be5127eac16a4f5cc18c26a582e53).

The report was originally about deleting rows, but it's the same when inserting them, and with columns as well.
Comment 6 Telesto 2020-04-24 20:23:53 UTC
Also in
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 7 NISZ LibreOffice Team 2021-05-13 14:24:29 UTC
*** Bug 135256 has been marked as a duplicate of this bug. ***
Comment 8 Commit Notification 2021-05-19 22:02:47 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/05366b8e6683363688de8708a3d88cf144c7a2bf

tdf#60382 sw offapi: add change tracking of table/row deletion

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 László Németh 2021-05-19 22:04:15 UTC
tdf#60382 sw offapi: add change tracking of table/row deletion

This is a minimal extension of the text range based change
tracking to record and apply table row and table deletions
with full Undo/Redo support.

Add property IsNotTracked to com::sun::star::text::TextTableRow.

During recording of track changes, deletion of table rows wasn't
recorded: the rows removed completely with their text content.
Now the deletion deletes the cell content with change tracking,
setting also IsNotTracked property of table rows to FALSE. If
all tracked deletions were accepted in a row, and the result is
an empty row, the row will be removed, if its IsNotTracked
property is FALSE.

Note: Deletion of empty lines isn't recorded (they are simply
deleted). Hiding deleted rows hasn't been supported yet in
the Hide Changes mode.

OpenDocument supports only track changes of text ranges, but
not changes of the table structure, e.g. deletion of table
rows. For the native export it needs to extend ODF, and
depending on this future extension, can be based also on
SwExtraRedlineTable (which lacks of recording and Undo/Redo,
but supports OOXML round-trip of tracked table changes).
See also commit d688069023959ab97d14eb1dbfd5bf6ad3c1b160
"Add support for 'Table Row Redlines' in SW core" and its
follow-up commits.
Comment 10 Commit Notification 2021-05-22 15:40:25 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c1bf2a3751b6a602f2571f8642b36504b04ca3fd

tdf#60382 sw track changes: add test for Undo of IsNotTracked

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2021-05-27 13:25:48 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/48898a72066ff9982feafebb26708c4e779fd460

tdf#60382 sw xmloff: import/export tracked table/row deletion

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 László Németh 2021-05-27 13:31:17 UTC
Topic reverted to deletion only, but added the implemented tracked table deletion (Table->Delete->Table).

Insertion, View/Hide Changes will be handled in follow-up commits/issues.
Comment 13 Commit Notification 2021-06-01 07:31:16 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6a4409647519e0466896fae4ffe2dc64edd53d9a

tdf#60382 sw: fix tracked row deletion at rejection

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 NISZ LibreOffice Team 2021-06-03 10:35:14 UTC
Verified in:

Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 3b57ebb445df8a2bc3d916ea79f8af45e20e4e62
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-GB
Calc: threaded

Thanks, László!